Overview | Modules | Class Hierarchy | Classes | Members

Namespaces | Functions
ConvexHull.h File Reference
`#include <vector>`
`#include <tulip/Coord.h>`
Include dependency graph for ConvexHull.h:

## Namespaces

- namespace tlp

## Functions

- TLP_SCOPE void tlp::convexHull (const std::vector< Coord > &points, std::vector< unsigned int > &convexHull)
    function for convex hull manipulation
- TLP_SCOPE void tlp::mergeHulls (const std::vector< Coord > &points, const std::vector< unsigned int > &hull1, const std::vector< unsigned int > &hull2, std::vector< unsigned int > &mergedConvexHull)
- TLP_SCOPE void tlp::intersectHulls (std::vector< Coord > &points, const std::vector< unsigned int > &hull1, const std::vector< unsigned int > &hull2, std::vector< unsigned int > &intersection)
- TLP_SCOPE double tlp::areaOfHull (const std::vector< Coord > &points, const std::vector< unsigned int > &hull)
- TLP_SCOPE bool tlp::insideHull (const std::vector< Coord > &points, const std::vector< unsigned int > &hull, const Coord &point)

Tulip Software by LaBRI Visualization Team 2001 - 2012